import request from '@/utils/request'

export function listProgress(query) {
  return request({
    url: '/project/progress/list',
    method: 'get',
    params: query
  })
}

export function getProgress(id) {
  return request({
    url: '/project/progress/' + id,
    method: 'get'
  })
}

export function addProgress(data) {
  return request({
    url: '/project/progress',
    method: 'post',
    data: data
  })
}

export function updateProgress(data) {
  return request({
    url: '/project/progress',
    method: 'put',
    data: data
  })
}

export function delProgress(id) {
  return request({
    url: '/project/progress/' + id,
    method: 'delete'
  })
}
